## org.gnu.gtk
Class UIManager

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.gtk.UIManager

public class UIManager
extends GObject

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`UIManager()`

Method Summary
`void` `addListener(UIManagerListener listener)` Register an object to handle spin events.
`void` `addUI(int mergeId, java.lang.String path, java.lang.String name, java.lang.String action, UIManagerItemType type, boolean top)`
`int` `addUIFromFile(java.lang.String filename)`
`int` `addUIFromString(java.lang.String ui)`
`void` `ensureUpdate()`
`protected static int` `findListener(java.util.Vector list, java.lang.Object listener)` Give us a way to locate a specific listener in a Vector.
`protected void` `fireUIManagerEvent(UIManagerEvent event)`
`AccelGroup` `getAccelGroup()`
`Action` `getAction(java.lang.String path)`
`java.util.List` `getActionGroups()`
`boolean` `getAddTearoffs()`
`java.lang.Class` `getEventListenerClass(java.lang.String signal)`
`EventType` `getEventType(java.lang.String signal)`
`Widget[]` `getToplevels(UIManagerItemType types)`
`java.lang.String` `getUI()`
`Widget` `getWidget(java.lang.String path)`
`protected static int` `gtk_ui_manager_add_ui_from_file(Handle uim, java.lang.String filename)`
`protected static int` `gtk_ui_manager_add_ui_from_string(Handle uim, java.lang.String buffer, int length)`
`protected static void` `gtk_ui_manager_add_ui(Handle uim, int mergeId, java.lang.String path, java.lang.String name, java.lang.String action, int type, boolean top)`
`protected static void` `gtk_ui_manager_ensure_update(Handle uim)`
`protected static Handle` `gtk_ui_manager_get_accel_group(Handle uim)`
`protected static Handle[]` `gtk_ui_manager_get_action_groups(Handle uim)`
`protected static Handle` `gtk_ui_manager_get_action(Handle uim, java.lang.String path)`
`protected static boolean` `gtk_ui_manager_get_add_tearoffs(Handle uim)`
`protected static Handle[]` `gtk_ui_manager_get_toplevels(Handle manager, int types)`
`protected static int` `gtk_ui_manager_get_type()`
`protected static java.lang.String` `gtk_ui_manager_get_ui(Handle uim)`
`protected static Handle` `gtk_ui_manager_get_widget(Handle uim, java.lang.String path)`
`protected static void` `gtk_ui_manager_insert_action_group(Handle uim, Handle actionGroup, int pos)`
`protected static int` `gtk_ui_manager_new_merge_id(Handle uim)`
`protected static Handle` `gtk_ui_manager_new()`
`protected static void` `gtk_ui_manager_remove_action_group(Handle uim, Handle actionGroup)`
`protected static void` `gtk_ui_manager_remove_ui(Handle uim, int mergeId)`
`protected static void` `gtk_ui_manager_set_add_tearoffs(Handle uim, boolean value)`
`void` `insertActionGroup(ActionGroup group, int position)`
`int` `newMergeId()`
`void` `removeActionGroup(ActionGroup group)`
`void` `removeListener(UIManagerListener listener)` Removes a listener
`void` `removeUI(int mergeId)`
`void` `setAddTearoffs(boolean addTearoffs)`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UIManager

    public UIManager()

Method Detail

### setAddTearoffs

    public void setAddTearoffs(boolean addTearoffs)

### getAddTearoffs

    public boolean getAddTearoffs()

### insertActionGroup

    public void insertActionGroup(ActionGroup group,
                                  int position)

### removeActionGroup

    public void removeActionGroup(ActionGroup group)

### getActionGroups

    public java.util.List getActionGroups()

### getAccelGroup

    public AccelGroup getAccelGroup()

### getWidget

    public Widget getWidget(java.lang.String path)

### getToplevels

    public Widget[] getToplevels(UIManagerItemType types)

### getAction

    public Action getAction(java.lang.String path)

### addUIFromString

    public int addUIFromString(java.lang.String ui)

### addUIFromFile

    public int addUIFromFile(java.lang.String filename)

### addUI

    public void addUI(int mergeId,
                      java.lang.String path,
                      java.lang.String name,
                      java.lang.String action,
                      UIManagerItemType type,
                      boolean top)

### removeUI

    public void removeUI(int mergeId)

### getUI

    public java.lang.String getUI()

### ensureUpdate

    public void ensureUpdate()

### newMergeId

    public int newMergeId()

### getEventListenerClass

    public java.lang.Class getEventListenerClass(java.lang.String signal)

  Overrides:
    `getEventListenerClass` in class `GObject`

### getEventType

    public EventType getEventType(java.lang.String signal)

  Overrides:
    `getEventType` in class `GObject`

### addListener

    public void addListener(UIManagerListener listener)

  Register an object to handle spin events.

  See Also:
    `SpinListener`

### removeListener

    public void removeListener(UIManagerListener listener)

  Removes a listener

  See Also:
    `addListener(UIManagerListener)`

### fireUIManagerEvent

    protected void fireUIManagerEvent(UIManagerEvent event)

### findListener

    protected static int findListener(java.util.Vector list,
                                      java.lang.Object listener)

  Give us a way to locate a specific listener in a Vector.

  Parameters:
    `list` - The Vector of listeners to search.
    `listener` - The object that is to be located in the Vector.
  Returns:
    Returns the index of the listener in the Vector, or -1 if the listener is not contained in the Vector.

### gtk_ui_manager_get_type

    protected static final int gtk_ui_manager_get_type()

### gtk_ui_manager_new

    protected static final Handle gtk_ui_manager_new()

### gtk_ui_manager_set_add_tearoffs

    protected static final void gtk_ui_manager_set_add_tearoffs(Handle uim,
                                                                boolean value)

### gtk_ui_manager_get_add_tearoffs

    protected static final boolean gtk_ui_manager_get_add_tearoffs(Handle uim)

### gtk_ui_manager_insert_action_group

    protected static final void gtk_ui_manager_insert_action_group(Handle uim,
                                                                   Handle actionGroup,
                                                                   int pos)

### gtk_ui_manager_remove_action_group

    protected static final void gtk_ui_manager_remove_action_group(Handle uim,
                                                                   Handle actionGroup)

### gtk_ui_manager_get_action_groups

    protected static final Handle[] gtk_ui_manager_get_action_groups(Handle uim)

### gtk_ui_manager_get_accel_group

    protected static final Handle gtk_ui_manager_get_accel_group(Handle uim)

### gtk_ui_manager_get_widget

    protected static final Handle gtk_ui_manager_get_widget(Handle uim,
                                                            java.lang.String path)

### gtk_ui_manager_get_toplevels

    protected static final Handle[] gtk_ui_manager_get_toplevels(Handle manager,
                                                                 int types)

### gtk_ui_manager_get_action

    protected static final Handle gtk_ui_manager_get_action(Handle uim,
                                                            java.lang.String path)

### gtk_ui_manager_add_ui_from_string

    protected static final int gtk_ui_manager_add_ui_from_string(Handle uim,
                                                                 java.lang.String buffer,
                                                                 int length)

### gtk_ui_manager_add_ui_from_file

    protected static final int gtk_ui_manager_add_ui_from_file(Handle uim,
                                                               java.lang.String filename)

### gtk_ui_manager_add_ui

    protected static final void gtk_ui_manager_add_ui(Handle uim,
                                                      int mergeId,
                                                      java.lang.String path,
                                                      java.lang.String name,
                                                      java.lang.String action,
                                                      int type,
                                                      boolean top)

### gtk_ui_manager_remove_ui

    protected static final void gtk_ui_manager_remove_ui(Handle uim,
                                                         int mergeId)

### gtk_ui_manager_get_ui

    protected static final java.lang.String gtk_ui_manager_get_ui(Handle uim)

### gtk_ui_manager_ensure_update

    protected static final void gtk_ui_manager_ensure_update(Handle uim)

### gtk_ui_manager_new_merge_id

    protected static final int gtk_ui_manager_new_merge_id(Handle uim)